#!/bin/bash

set -eux

ACLVERSION="2.2.53"
ACLTARGZSHA256=9e905397ac10d06768c63edd0579c34b8431555f2ea8e8f2cee337b31f856805
HOST_TARGET=${HOST_TARGET:-x86_64-unknown-linux-musl}

wget -O "acl-${ACLVERSION}.tar.gz" \
	"https://git.savannah.nongnu.org/cgit/acl.git/snapshot/acl-${ACLVERSION}.tar.gz"

echo -n "$ACLTARGZSHA256  acl-${ACLVERSION}.tar.gz" | sha256sum -c /dev/stdin

tar -xvf "acl-${ACLVERSION}.tar.gz"

cd "acl-${ACLVERSION}"

[ -f ./configure ] || ./autogen.sh
[ -f ./config.status ] || ./configure --host "${HOST_TARGET}"
make -j"$(nproc)"

cd -

RUSTFLAGS="-L native=$(pwd)/acl-${ACLVERSION}/.libs -l static=acl" PKG_CONFIG_ALLOW_CROSS=1 \
	cargo build --target "$HOST_TARGET" --release

BINARY="$(pwd)/target/$HOST_TARGET/release/$(basename "$(pwd)")"

strip --strip-all "$BINARY"
objdump -T "$BINARY" || true

ln -s "$BINARY" dracut.module/90metadata-collect/metadata-collect-agent
